org.apache.maven.profiles.activation

## Class FileProfileActivator

- java.lang.Object
- - org.apache.maven.profiles.activation.DetectedProfileActivator
  - - org.apache.maven.profiles.activation.FileProfileActivator

All Implemented Interfaces:
  ProfileActivator

    public class FileProfileActivator
    extends DetectedProfileActivator

### Field Summary

### Fields inherited from interface org.apache.maven.profiles.activation.ProfileActivator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`FileProfileActivator()`

### Method Summary

Methods
`protected boolean` `canDetectActivation(Profile profile)`
`void` `enableLogging(Logger logger)`
`boolean` `isActive(Profile profile)`

### Methods inherited from class org.apache.maven.profiles.activation.DetectedProfileActivator

`canDetermineActivation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileProfileActivator

    public FileProfileActivator()

### Method Detail

#### canDetectActivation

    protected boolean canDetectActivation(Profile profile)

Specified by:
  `canDetectActivation` in class `DetectedProfileActivator`

#### isActive

    public boolean isActive(Profile profile)

#### enableLogging

    public void enableLogging(Logger logger)